From c2285ccc738260d57895d4b9cfc77ea9feaebb26 Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Wed, 10 Aug 2022 15:04:43 +0900
Subject: [PATCH 2/3] Add bypassrls to interactive mode in createuser

---
 src/bin/scripts/createuser.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/bin/scripts/createuser.c b/src/bin/scripts/createuser.c
index afde9bed5f..9789bab034 100644
--- a/src/bin/scripts/createuser.c
+++ b/src/bin/scripts/createuser.c
@@ -271,7 +271,12 @@ main(int argc, char *argv[])
 	}
 
 	if (bypassrls == 0)
-		bypassrls = TRI_NO;
+	{
+		if (interactive && yesno_prompt("Shall the new role be allowed to bypass row-level security policy?"))
+			bypassrls = TRI_YES;
+		else
+			bypassrls = TRI_NO;
+	}
 
 	if (replication == 0)
 		replication = TRI_NO;
-- 
2.31.1

